दस्तावेज़ पर जाएँ
API

इवेंट बदलें

आपका आयोजित इवेंट बदलता है और अपडेट सभी आमंत्रितों को भेजता है।

PATCH/calendar/events/{id}

असली कॉल आपके वर्कस्पेस पर चलाता है।

PATCH /calendar/events/{id}

आपका आयोजित इवेंट बदलता है और अपडेट सभी आमंत्रितों को भेजता है।

उदाहरण

calendar:write चाहिए, और जब तक इवेंट में प्रतिभागी हैं तब तक emails:send भी। छोड़ा गया फ़ील्ड अपना मान रखता है, और attendees पूरी सूची बदल देता है।

curl
curl -X PATCH "$OE/calendar/events/cal_3f9a1c7e5b2d48a06c1e9f4b" -H "$AUTH" -H 'content-type: application/json' -d '{  "start": "2026-10-12T10:00:00Z",  "end": "2026-10-12T10:30:00Z"}'
प्रतिक्रिया
{  "object": "calendar_event",  "id": "cal_3f9a1c7e5b2d48a06c1e9f4b",  "sequence": 1,  "summary": "Planning",  "start": "2026-10-12T10:00:00.000Z",  "end": "2026-10-12T10:30:00.000Z",  "status": "CONFIRMED"}

किसी और का आयोजित इवेंट 403 not_organizer है, इसलिए उसका जवाब POST /calendar/events/{id}/respond से दें।

sendInvites: false इसे सिर्फ़ आपके कैलेंडर में बदलता है और कुछ नहीं भेजता।

संदर्भ